/// <reference types="node" />
import { ByteOrder } from "./ByteOrder";
/**
 * This class was heavily influenced by https://github.com/cschwarz/wkx/blob/master/lib/binaryreader.js
 */
export declare class ByteReader {
    buffer: Buffer;
    position: number;
    byteOrder: ByteOrder;
    readUInt8: Function;
    readUInt16: Function;
    readUInt32: Function;
    readInt8: Function;
    readInt16: Function;
    readInt32: Function;
    readFloat: Function;
    readDouble: Function;
    readByte: Function;
    readInt: Function;
    constructor(buffer: Buffer, byteOrder?: ByteOrder);
    private _read;
    readVarInt(): any;
    getByteOrder(): ByteOrder;
    setByteOrder(byteOrder: ByteOrder): void;
}
